.tg.topbox
	background: $pale-color
	border-left: $border-width solid $border-color
	border-bottom: $border-width solid $border-color
	border-radius: 0 0 0 $br
	font-size: $font-size-small
	height: ($grid * 1.5 + $border-width) // TODO: This should not be necessary, yet the bar is 1px too high if not set
	position: absolute
	right: 0
	top: 0

	+respond-to(medium)
		border-left: 0
		border-radius: 0
		width: 100%

	> ul
		@extend %navigation

		> li
			> a,
			> span
				padding: ($grid / 4)

		+respond-to(medium)
			float: right

	a
		@extend %link

.tg.topbox_language
		font-weight: bold

.tg.topbox_toggle-search
	+icon('search')

.tg.topbox_link
	&.-login
		+icon('sign-in')

	&.-logout
		+icon('sign-out')

	&.-settings
		+icon('cog')

	&.-shelf
		+icon('list-ul')

.tg.topbox_shelf-count
	@extend %count
	margin-left: .25em

.tg.topbox_user
	+icon('user')

.tg.topbox_language
	+icon('globe')

.tg.topbox_toggle-nav
	@extend %button
	+icon('bars', false)
	border-radius: 0
	display: none
	float: left
	font-size: $grid
	height: ($grid * 1.5 + $border-width)
	padding: 0 ($grid * .75)

	+respond-to(medium)
		display: block
